package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.MerchantAssetDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient("vehicle")
public interface AssetClient {

    @GetMapping("/asset/merchant")
    MerchantAssetDTO getMerchantAsset(@RequestParam("merchantId") Long merchantId);
}
